View Issue Details

IDProjectCategoryView StatusLast Update
0015449ScribusPDFpublic2019-06-04 20:56
Reporterftake Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSopenSUSEOS VersionLeap 15.0
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015449: Arabic number glyphs of Noto Serif CJK are not exported into PDF correctly depending on specified languages
DescriptionPlease check the attached files.
There are 4 lines as the following and Noto Serif CJK TC is specified for those texts.

a12345aa (English)
a12345aa (Simplified Chinese)
a12345aa (Japanese)
a12345aa (Korean)

Note that different language is specified for each line in character style palette.
For the first line, English is specified, and for the second to forth, Chinese, Japanese, and Korean is specified vise versa.


However, what is strange, by exporting the file into PDF, those lines become like

a22222aa (English)
a12345aa (Simplified Chinese)
a12345aa (Japanese)
a12345aa22Korean2

I guess there are some problems with feature handling OTF multi-languages fonts.
Steps To Reproduce0. Install Noto Sans CJK TC on your system
1. Open the attached file
2. Export to PDF
3. Open the PDF file with a PDF viewer like Okular
Additional Information- Noto Serif CJK JP causes the same problem
- The almost same problem happens for Noto Serif JP (which contains only Japanese Glyphs). But parentheses are not broken in Korean.
- For Noto Sans CJK JP, only parentheses are broken in Korean
TagsNo tags attached.
PatchNo

Activities

ftake

2018-10-02 15:17

reporter  

noto-serif-cjk.pdf (394,687 bytes)
noto-serif-cjk.sla (14,754 bytes)

ftake

2018-10-02 15:20

reporter   ~0045495

0. Install Noto Sans CJK TC on your system => 0. Install Noto Serif CJK TC on your system

Issue History

Date Modified Username Field Change
2018-10-02 15:17 ftake New Issue
2018-10-02 15:17 ftake File Added: noto-serif-cjk.pdf
2018-10-02 15:17 ftake File Added: noto-serif-cjk.sla
2018-10-02 15:20 ftake Note Added: 0045495
2018-10-05 16:55 jghali Assigned To => jghali
2018-10-05 16:55 jghali Status new => resolved
2018-10-05 16:55 jghali Resolution open => fixed
2018-10-05 16:55 jghali Fixed in Version => 1.5.5.svn
2019-06-04 20:56 cbradney Status resolved => closed